/* @import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700&family=Roboto+Slab&display=swap'); */
@import url('https://fonts.googleapis.com/css2?family=Anonymous+Pro&family=Montserrat:wght@400;500;600;700&family=Roboto+Slab&display=swap');
:root{
    --red: #b22c26;
    --green: green;
    --blue: blue;
    --white: white;
    --black: black;
    --grey: #d9d9e3;

    --nav-bar-height: 135px;
    --shadow: 8px 8px 15px -2px rgba(0, 0, 0, 0.42);
}
*{
    margin: 0;
    font-family: 'Montserrat', sans-serif;
}
body{
    overflow: hidden;
    width: 100%;
    height: 100vh;
}
pre{
    white-space: break-spaces
}
.red{color: var(--red)}
.shadowed{
    -webkit-box-shadow: var(--shadow);
    box-shadow: var(--shadow);
}
.cont-navbar{
    width: 100%;
    height: var(--nav-bar-height);
    z-index: 11;
    position: relative;

    display: flex;
    justify-content: center;
    align-items: center;
}
.navbar {
    width: 100%;
    height: 100%;
    background-color: var(--white);
    font-size: 1em;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    color: var(--red);
    border-bottom: 1px solid var(--grey)!important ;

    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.navbar-brand {
    width: 347px;
    height: 90%;
    background-image: url("../../static/hitcrtlo/img/logoOTO-v2.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}
.navbar a {
    position: relative;
    width: 150px;
    height: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 5px;
    /* border-right: 1px solid var(--grey)!important; */

    text-decoration: none;
    color: inherit;
    transition: all .2s
}
.navbar a::after{
    content: '';
    width: 100%; height: 100%;
    position: absolute;
    top:0;
    left: 0;
    background-color: var(--red);
    translate: 0 -100%;
    z-index: -1;
    transition: all .2s
}
.navbar a:hover{
    translate:0 5% 
}
/* .navbar a:hover::after{
    translate: 0 0
} */
.body-content {
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    height: calc(100% - 135px)
}
footer{
    position: absolute;
    bottom: 5px;
    font-size: 12px
}
#map{
    width: 100%;
    height: 500px
}

.container{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    height: 100%
}
.cont{
    width: 70%;
    height: 96%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}
.cont h3, .cont h2{
    margin: 15px 0;
}
.cont h3{font-size: 16px}
.scripts{
    /* display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 10px;
    overflow-x: hidden; */
    overflow-y: auto;
    height: 100%;
    margin-top: 15px
}
.script{
    height: 35px;
    width: 100%;
    font-size: 14px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 4px;
    margin-bottom: 10px;
    border-bottom: 2px solid black;
    margin-block: 4px;
    padding-bottom: 5px;

    overflow: hidden;
    transition: all .2s;
}
.script-opened{
    height: fit-content;
}
/* .script:nth-child(odd) {background: #CCC} */
.script > *{
    min-width: 130px;
}

.doc{
    overflow: hidden;
    transition: all .2s;
    height: 0
}
.script:hover .doc{
    height: 400px
}
.script .fa-caret-down{
    transition: .2s;
}
.script .btn{
    font-size: 14px;
    padding: 5px 10px;
    border-radius: 1000px;
    background-color: var(--white);
    cursor: pointer;
    transition: all .2s;
}
.buttons{
    display: flex;
    gap: 10px;
    justify-content: flex-end;
}
.btn-lancement{
    border: 1px solid var(--green)
}
.btn-export{
    border: 1px solid var(--red)
}
.btn-lancement:hover{
    background-color: var(--green);
    color: white
}
.btn-export:hover{
    background-color: var(--red);
    color: white
}
.btn-logs{
    border: 1px solid var(--black)
}
.checkbox{
    display: inline
}
.in-check{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    gap:5px
}
.expl{
    margin-top: 6px;
    width: 100%;
}
.expl span{
    font-weight: 700;
}
.input-script{
    color: var(--green)
}
.output-script{
    color: var(--red)
}
.expl2{
    width: 120%;
}
.script .btn p{
    display: block
}
.script .btn-i{
    display: none
}
.forms{
    width: 80%;
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.forms > form{
    width: 50%;
    display: flex;
    justify-content: space-between;
}



.console{
    position: absolute;
    width: 70%;
    height: 50vh;
    top: var(--nav-bar-height);
    right: 0;
    transition: all .3s;

    translate: calc(100% - 4px) 0;

    background-color: var(--black);
    border: 5px ridge var(--grey)
}
.console > *{color: white}
.console-act{
    translate: 0 0;
}
.console-txt{
    position: relative;
    height: 100%;
    /* margin-top: 48px; */
    overflow: auto;
}
.message-global{
    font-family: 'Anonymous Pro';
    position: fixed;
    top:0;
    left: 0;
    width: 100%;
    height: 20px;
    padding: 5px 0;
    display: none;
    flex-direction: column;
    background-color: white;
}
.console-icones{
    position: absolute;
    right: 10px;
    top: 8px;
    z-index: 2;

    display: flex;
    flex-direction: row;
    gap:5px;
    /* background-color: var(--white); */
}
.console-icones > i{
    color: white;
    cursor: pointer;
}


.bars{
    position: absolute;
    left: -25px;
    top: 50%;
    height: 30px; width: 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    translate: 0 -50%;
}
.bars:hover{cursor: pointer}
.bar{
    height: 100%;
    width: 5px; background-color: var(--black);
    translate: 0 var(--t);
    border-radius: 10px;
    transition: transform .2s
}
.up{
    --t: 3px;
}
.down{
    --t: -3px;
} 
.open:hover .up, .close:hover .down{
    transform: rotate(15deg)
}
.open:hover .down, .close:hover .up{
    transform: rotate(-15deg)
}
.open:hover .down, .close:hover .up, .open:hover .up, .close:hover .down{background-color: var(--red);}



#message{color: black}
#logs{
    width: 95%;
    margin-top: 40px;
    font-size: 14px;
    font-family: 'Anonymous Pro' !important;
}
.title > img{
    width: 40px;
    max-height: 30px
}
.title{
    display: flex;
    height:35px;
    justify-content: flex-start;
    align-content: center;
    align-items: center;
    gap: 10px;
    width: 30%;
    cursor: s-resize
}
.cursor-up{
    cursor: n-resize
}
#title-dm{width: calc(100% - 50px);}
.cont-liste{
    width: 100%;
    margin: 5px 0;

    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 5px;
}
.cont-liste p{
    cursor: pointer;

    padding: 5px;
    border-radius: 100px;
    border: 1px solid var(--red);
}
.cont-liste p:hover{
    background-color: var(--red);
    color: var(--white);
    border: 1px solid var(--red);
}
.selected-dm{
    background-color: var(--red);
    color: var(--white);
    border: 1px solid var(--red);
}

.liste{
    position: absolute;
    top: 100%;
    left: 0px;
    width: 100%;
    height: 0;
    background-color: white;
    transition: all .3s;
    font-size: 12px;
    overflow: hidden;

    -webkit-box-shadow: var(--shadow);
    box-shadow: var(--shadow);
}
.cont-liste:hover .liste{
    height: 223px
}
.fa-caret-down{
    transition: rotate .3s
}
.cont-liste:hover .fa-caret-down{
    rotate: -180deg
}

.liste p{
    cursor: pointer;
    width: 100%;
    transition: all .2s;
    padding: 2px 0 2px 5px
}
.liste p:hover{
    color: white;
    background-color: var(--red);
    font-weight: 600;
}

.fond-home{
    width: 100%;
    height: 100%;

    display: flex;
    justify-content: flex-start;
    align-items: center;
    position: relative;
    overflow: hidden
}
.img-fond{
    width: 100%;
    position: absolute;
    z-index: 1;
}
.djanghit{
    height: 20px;
    aspect-ratio: 1587/2245;
    position: relative;
    bottom: 0;
    left: 0;
    z-index: 2;
    cursor: crosshair;

    transition: all .4s
}
.djanghit-in{
    width: 100%;
    height: 100%;
    position: relative
}
.djanghit img{
    position: absolute;
    width: 100%;
    height: 100%
}
.djanghit:hover{
    height: 100%;

}
.trou{
    position: absolute;
    z-index: 1000;
    width: 20px;
    height: 20px;
    background-color: #b22c26;
    border-radius: 1000px;
    translate: -50% -50%;
}

.home{
    z-index:2;
    font-size: 50px;
    color: var(--red)
}


.input{
    width: 100%;
    margin-bottom: 5px;
}

.inputs-fvt{
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-block: 10px;
}
.inputs-fvt-exc{
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-block: 10px;
}
.inputs-tl_opendata2hit{
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-block: 10px;
}
.inputs-offre-obs{
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-block: 10px;
}
.cont-input{
    display: flex;
    gap: 30px;
    align-items: center;
}
.cont-input form{
    min-width: 175px;
}
.btn-fvt{
    min-width: 85px;
}
btn-fvt-exc{
    min-width: 85px;
}

.status{
    font-size: 16px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 10px;

    min-width: 117px;
}
.cercle-status{
    width: 10px;
    height: 10px;
    border-radius: 1000px;
}
.text-status{
    font-family: 'Anonymous Pro';
}
.majDate{
    font-family: 'Anonymous Pro';
    font-weight: 100;
    font-size: 11px;
}

.server-en-cours{
    position: absolute;
    width: 10%;
    height: calc(100vh - var(--nav-bar-height));
    top: var(--nav-bar-height);
    left: 0;
    display: flex;
    writing-mode: vertical-rl;
    text-orientation: upright;
    align-content: center;
    justify-content: center;
    align-items: center;
    font-weight: 900;
    text-transform: uppercase;
    font-size: 2.5vh;
}

.checkboxes{
    display: flex;
    flex-direction: column;
}
.checkboxes > div{
    margin-left: 15px
}

.forms-flex{
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
}
.forms-gauche, .forms-droite{
    width: 45%;
}
.forms-droite{
    display: flex;
    flex-direction: column;
    gap: 10px
}

.logo-feder {
    max-width: 240px;
    margin: auto auto 30px
}

@media only screen and (max-width: 1000px){
    .navbar-brand{display: none}
    a > .fas{font-size: 3vw}
    .cont{width: 80%}
}
@media only screen and (max-width: 697px){
    .cont{width: 95%}
}

@media only screen and (max-width: 1467px){
    .script .btn p{
        display: none
    }
    .script .btn-i{
        display: block
    }

    .status{min-width: 0;}
    .text-status{display: none}
    .nom_navbar{display: none}

    .navbar-item:hover .nom_navbar{
        display: inline-block;
        position: absolute;
        transform: translate(0%, 120%);

        z-index: 50000;
    }

    
}

.login-container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    padding: 30px;
    border: 1px solid #888;
    border-radius: 10px;
    gap: 20px
  }
  form{
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
  .form{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
  }
    .form-control{
        display: block;
        margin: 0 auto;
        padding: .375rem .75rem;
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #212529;
        background-color: #fff;
        background-clip: padding-box;
        border: 1px solid #ced4da;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        border-radius: .25rem;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    }
  .navbar-brand-2{
    width: 347px;
    height: 150px;
    background-image: url("../../static/hitcrtlo/img/logoOTO-v2.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
  }

  .login-cont{
    position: absolute;
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 50%;
    left: 50%;
    translate: -50% -50%;
    background-color: white;
  }

  .user-logged{
    margin-left: auto;
    margin-right: 25px;
  }

    .btn-input{
        border-radius: 100px;
        border: 1px solid var(--red);
        background-color: white;
        padding: 5px 10px;
        margin: 0 auto;
        transition: .2s;
        cursor: pointer
    }
    .btn-input:hover{
        color: white;
        border: 1px solid var(--red);
        background-color: var(--red);
        display: flex;
        gap: 5px;
        flex-direction: column;
    }